zenilib: zenilib/jni/external/libvorbis/vq/vqgen.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
vqgen.h File Reference

Go to the source code of this file.

## Classes

struct | quant_meta
struct | vqgen

## Typedefs

typedef struct vqgen | vqgen

## Functions

static float * | _aux (vqgen *v, long ptr)
static float * | _now (vqgen *v, long ptr)
static float * | _point (vqgen *v, long ptr)
void | vqgen_addpoint (vqgen *v, float *p, float *aux)
void | vqgen_cellmetric (vqgen *v)
void | vqgen_init (vqgen *v, int elements, int aux, int entries, float mindist, float(*metric)(vqgen *, float *, float *), float *(*weight)(vqgen *, float *), int centroid)
float | vqgen_iterate (vqgen *v, int biasp)
void | vqgen_quantize (vqgen *v, quant_meta *q)
void | vqgen_unquantize (vqgen *v, quant_meta *q)

## Typedef Documentation

typedef struct vqgen vqgen

## Function Documentation

static float* _aux | ( | vqgen * | v,
|  | long | ptr
| ) |  |

inlinestatic

Definition at line 61 of file vqgen.h.

References _point(), and vqgen::aux.

static float* _now | ( | vqgen * | v,
|  | long | ptr
| ) |  |

inlinestatic

Definition at line 65 of file vqgen.h.

References vqgen::elements, and vqgen::entrylist.

static float* _point | ( | vqgen * | v,
|  | long | ptr
| ) |  |

inlinestatic

Definition at line 57 of file vqgen.h.

References vqgen::aux, vqgen::elements, and vqgen::pointlist.

Referenced by _aux(), _vqgen_seed(), vqgen_addpoint(), vqgen_iterate(), and vqgen_sortmesh().

void vqgen_addpoint | ( | vqgen * | v,
|  | float * | p,
|  | float * | aux
| ) |  |

Definition at line 270 of file vqgen.c.

References _ogg_realloc, _point(), vqgen::allocated, vqgen::asciipoints, vqgen::aux, vqgen::elements, k, memcpy, vqgen::mindist, vqgen::pointlist, vqgen::points, and spinnit().

void vqgen_cellmetric | ( | vqgen * | v | ) |

Definition at line 89 of file vqgen.c.

References _dist(), _now(), vqgen::assigned, directdsort(), vqgen::entries, entries, i, vqgen::it, j, k, vqgen::max, max, min, and qsort().

void vqgen_init | ( | vqgen * | v,
|  | int | elements,
|  | int | aux,
|  | int | entries,
|  | float | mindist,
|  | float(*)(vqgen *, float *, float *) | metric,
|  | float *(*)(vqgen *, float *) | weight,
|  | int | centroid
| ) |  |

Definition at line 240 of file vqgen.c.

References _dist(), _ogg_calloc, _ogg_malloc, _weight_null(), vqgen::allocated, vqgen::asciipoints, vqgen::assigned, vqgen::aux, vqgen::bias, vqgen::centroid, vqgen::elements, vqgen::entries, entries, vqgen::entrylist, vqgen::max, memset, vqgen::metric_func, vqgen::mindist, vqgen::pointlist, and vqgen::weight_func.

float vqgen_iterate | ( | vqgen * | v,
|  | int | biasp
| ) |  |

Definition at line 333 of file vqgen.c.

References _now(), _ogg_malloc, _point(), _vqgen_seed(), vqgen::assigned, vqgen::bias, vqgen::centroid, directdsort(), vqgen::elements, vqgen::entries, fabs(), free, i, vqgen::it, j, k, vqgen::max, memset, vqgen::metric_func, vqgen::points, qsort(), vqgen::seeded, vqgen::sorted, spinnit(), vN, vqgen_sortmesh(), and vqgen::weight_func.

void vqgen_quantize | ( | vqgen * | v,
|  | quant_meta * | q
| ) |  |

Definition at line 165 of file vqgen.c.

References _float32_pack(), _float32_unpack(), _now(), quant_meta::delta, vqgen::elements, vqgen::entries, j, k, quant_meta::min, quant_meta::quant, and quant_meta::sequencep.

void vqgen_unquantize | ( | vqgen * | v,
|  | quant_meta * | q
| ) |  |

Definition at line 224 of file vqgen.c.

References _float32_unpack(), _now(), quant_meta::delta, vqgen::elements, vqgen::entries, fabs(), j, k, quant_meta::min, and quant_meta::sequencep.